=== debian/changelog ===
libxmp (4.2.0+dfsg-3) unstable; urgency=low

  * Drop the lha suggestion, lha decompression is built in.
  * Forcibly update config.guess and config.sub at build time (this
    allows building on aarch64).

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Dec 2013 20:36:43 +0100

libxmp (4.2.0+dfsg-2) unstable; urgency=low

  * Install the provided documentation.
  * Recommend unmo3 and suggest lha here, since it's the library which
    uses them.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2013 19:13:48 +0100

libxmp (4.2.0+dfsg-1) unstable; urgency=low

  * Initial release (closes: #717879).

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Nov 2013 00:39:14 +0100
