=== debian/control ===
Source: libxmp
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-autoreconf
Homepage: http://xmp.sourceforge.net/

Package: libxmp4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: unmo3
Description: module file rendering library
 libxmp is a library designed to interpret module files and produce
 PCM audio. It supports over 90 formats including Protracker (MOD),
 Scream Tracker 3 (S3M), Fast Tracker II (XM) and Impulse Tracker
 (IT).

Package: libxmp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libxmp4 (= ${binary:Version})
Description: module file rendering library -- development files
 libxmp is a library designed to interpret module files and produce
 PCM audio. It supports over 90 formats including Protracker (MOD),
 Scream Tracker 3 (S3M), Fast Tracker II (XM) and Impulse Tracker
 (IT).
 .
 This package contains the development files required to build with
 libxmp.
