=== src/depackers/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-DEPACKERS_OBJS	= ppdepack.o unsqsh.o mmcmp.o readrle.o readhuff.o readlzw.o \
+DEPACKERS_OBJS	= ppdepack.o unsqsh.o mmcmp.o readrle.o readlzw.o \
 		  unarc.o arcfs.o xfd.o inflate.o muse.o unlzx.o s404_dec.o \
 		  unzip.o gunzip.o uncompress.o unxz.o bunzip2.o unlha.o \
 		  xz_dec_lzma2.o xz_dec_stream.o oxm.o vorbis.o crc32.o
