=== debian/changelog ===
libxmp (4.2.3-1) unstable; urgency=medium

  * New upstream release.
  * A number of files have been relicensed under the MIT license, update
    debian/copyright accordingly.
  * Drop README.source which is no longer relevant.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Jan 2014 07:04:46 +0100

libxmp (4.2.2-1) unstable; urgency=medium

  * New upstream release, with LGPL-licensed LZX decompressor:
    - update debian/copyright;
    - drop remove-unlzx.patch, no longer relevant;
    - drop fix-big-endian-test-validation.patch, merged upstream.
  * Stop installing ay-3-8912.txt, no longer provided.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jan 2014 11:23:46 +0100

libxmp (4.2.1+dfsg-2) unstable; urgency=medium

  * The "Happy New Year" bug fix: apply patch from upstream to fix test
    validation on big-endian architectures (closes: #733766).

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Jan 2014 10:38:16 +0100

libxmp (4.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh remove-unlzx.patch.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Dec 2013 23:44:59 +0100
