=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Homepage: http://xmp.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libxmp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libxmp.git
 
 Package: libxmp4
 Architecture: any
