## libxmp 4.2.8

=== debian/changelog ===
libxmp (4.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Aug 2014 23:37:58 +0200

libxmp (4.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Apr 2014 00:10:23 +0200

libxmp (4.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2014 23:14:53 +0100

libxmp (4.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Feb 2014 00:33:13 +0100
