=== debian/changelog ===
libxmp (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Clean up debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Sep 2014 23:35:57 +0200
