## libxmp 4.3.9

=== debian/changelog ===
libxmp (4.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Jun 2015 23:41:52 +0200

libxmp (4.3.8-2) unstable; urgency=medium

  * Distinguish the BSD-3-clause variants in debian/copyright.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 May 2015 21:54:58 +0200

libxmp (4.3.8-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Apr 2015 16:45:04 +0200

libxmp (4.3.7-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Apr 2015 23:10:41 +0200

libxmp (4.3.6-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Mar 2015 23:44:04 +0100

libxmp (4.3.5-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 Feb 2015 21:33:03 +0100

libxmp (4.3.4-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Jan 2015 00:29:27 +0100

libxmp (4.3.3-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Jan 2015 20:40:15 +0100

libxmp (4.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Dec 2014 23:48:16 +0100

libxmp (4.3.1-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2014 12:45:28 +0100
