=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libxmp.git
