## libxmp 4.3.11

=== src/Makefile ===
--- 
+++ 
@@ -3,12 +3,13 @@
 		  dataio.o mkstemp.o fnmatch.o md5.o lfo.o envelope.o scan.o \
 		  control.o med_extras.o filter.o fmopl.o effects.o mixer.o \
 		  synth_null.o mix_all.o adlib.o load_helpers.o load.o hio.o \
-		  hmn_extras.o extras.o smix.o memio.o
+		  hmn_extras.o extras.o smix.o memio.o tempfile.o
 
 SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h envelope.h \
 		  fmopl.h format.h lfo.h list.h mixer.h period.h player.h \
-		  synth.h virtual.h fnmatch.h md5.h precomp_lut.h \
-		  med_extras.h hio.h hmn_extras.h extras.h memio.h mdataio.h
+		  synth.h virtual.h fnmatch.h md5.h precomp_lut.h tempfile.h \
+		  med_extras.h hio.h hmn_extras.h extras.h memio.h mdataio.h \
+		  depacker.h
 
 SRC_PATH	= src
