=== src/loaders/Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
 	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
 	  psm_load.o stim_load.o mmd_common.o mmd1_load.o mmd3_load.o \
-	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
-	  arch_load.o sym_load.o dtt_load.o med2_load.o med3_load.o \
-	  med4_load.o dbm_load.o umx_load.o gdm_load.o pw_load.o gal5_load.o \
-	  gal4_load.o mfp_load.o asylum_load.o hmn_load.o mgt_load.o
+	  rtm_load.o dt_load.o no_load.o arch_load.o sym_load.o med2_load.o \
+	  med3_load.o med4_load.o dbm_load.o umx_load.o gdm_load.o pw_load.o \
+	  gal5_load.o gal4_load.o mfp_load.o asylum_load.o hmn_load.o \
+	  mgt_load.o chip_load.o abk_load.o
 
 LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
-LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) ftm_load.c \
+LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) \
 		  asif.h iff.h it.h loader.h med.h mod.h s3m.h xm.h
 LOADERS_PATH	= src/loaders
