=== src/win32/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-WIN32_OBJS	= ptpopen.o debug.o usleep.o
+WIN32_OBJS	= ptpopen.o debug.o
 WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h ptpopen.h \
 		  osdcomm.h sys
 WIN32_PATH	= src/win32
