=== src/win32/sys/Makefile ===

TOPDIR	= ../../..
OBJS	=
DFILES	= Makefile time.h
DDIRS	=
CFILES	=
DCFILES	=

all:

include $(TOPDIR)/Makefile.rules
