=== debian/changelog ===
libxmp (4.3.11-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Enable full hardening.
  * Standards-Version 3.9.7, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Feb 2016 12:34:02 +0100

libxmp (4.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2016 20:33:08 +0100
