=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Homepage: http://xmp.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/libxmp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libxmp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libxmp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libxmp.git
 
 Package: libxmp4
 Architecture: any
