## libxmp 4.3.13

=== debian/changelog ===
libxmp (4.3.13-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 20:43:41 +0200

libxmp (4.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 13:12:24 +0100
