## libxmp 4.4.0

=== debian/changelog ===
libxmp (4.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 11:23:16 +0200
