=== debian/changelog ===
libxmp (4.4.1-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Fix the spelling of “sucessful”, as flagged by Lintian.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 May 2018 13:17:29 +0200

libxmp (4.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 16 Oct 2016 23:59:59 +0200
