=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11~)
 Homepage: http://xmp.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libxmp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libxmp.git
+Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
+Vcs-Browser: https://salsa.debian.org/mod-player-team/libxmp
 
 Package: libxmp4
 Architecture: any
