=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg$// \
  http://sf.net/xmp/libxmp-([\d\.]+)\.tar\.gz
