## libxmp 4.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	sed -n '/^Introduction/,$$p' docs/libxmp.rst >> $@
 
 docs/libxmp.html: docs/libxmp.rst
-	rst2html docs/libxmp.rst > $@
+	rst2html docs/libxmp.rst --stylesheet docs/style.css > $@
 
 docs/libxmp.pdf: docs/libxmp.rst docs/custom.style
 	rst2pdf docs/libxmp.rst -c --smart-quotes=1 -s docs/custom.style --footer="###Page###" -o $@
