=== src/loaders/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	  mmd1_load.o mmd3_load.o rtm_load.o dt_load.o no_load.o arch_load.o \
 	  sym_load.o med2_load.o med3_load.o med4_load.o dbm_load.o umx_load.o \
 	  gdm_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o asylum_load.o \
-	  hmn_load.o mgt_load.o chip_load.o abk_load.o
+	  hmn_load.o mgt_load.o chip_load.o abk_load.o coco_load.o
 
 LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
 LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) \
