=== src/os2/Makefile ===
OS2_DFILES	= Makefile unistd.h
OS2_PATH	= src/os2

dist-os2:
	mkdir -p $(DIST)/$(OS2_PATH)
	cp -RPp $(addprefix $(OS2_PATH)/,$(OS2_DFILES)) $(DIST)/$(OS2_PATH)
