=== src/win32/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 WIN32_OBJS	= ptpopen.o debug.o
 WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h ptpopen.h \
-		  osdcomm.h sys
+		  sys
 WIN32_PATH	= src/win32
 
 ifeq ($(PLATFORM_DIR),win32)
