=== debian/changelog ===
libxmp (4.5.0-2) unstable; urgency=medium

  * Apply upstream patch to build with LTO. Closes: #1015531.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Aug 2022 13:38:32 +0200

libxmp (4.5.0-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 21:00:35 +0200

libxmp (4.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump debian/watch to version 4 and drop the version mangling which
    hasn’t been necessary for a long time.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 Jun 2021 09:37:41 +0200

libxmp (4.4.1-3) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Rewrite libxmp4.symbols using version symbols.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2020 10:24:44 +0200
