=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13)
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
 Vcs-Browser: https://salsa.debian.org/mod-player-team/libxmp
+Rules-Requires-Root: no
 
 Package: libxmp4
 Architecture: any
