=== cmake/Makefile ===

CMAKE_DFILES	= Makefile libxmp-checks.cmake libxmp-sources.cmake
CMAKE_PATH	= cmake

dist-cmake:
	mkdir -p $(DIST)/$(CMAKE_PATH)
	cp -RPp $(addprefix $(CMAKE_PATH)/,$(CMAKE_DFILES)) $(DIST)/$(CMAKE_PATH)
