=== m4/Makefile ===

M4_DFILES	= Makefile ld.m4
M4_PATH		= m4

dist-m4:
	mkdir -p $(DIST)/$(M4_PATH)
	cp -RPp $(addprefix $(M4_PATH)/,$(M4_DFILES)) $(DIST)/$(M4_PATH)
