=== test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 TEST_OBJS	= test.o
-TEST_DFILES	= Makefile $(TEST_OBJS:.o=.c) test.it test.itz
+TEST_DFILES	= Makefile CMakeLists.txt $(TEST_OBJS:.o=.c) test.it test.itz
 TEST_PATH	= test
 
 MAIN_OBJS	= md5.o
