=== debian/changelog ===
libxmp (4.6.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. Closes: #1079111.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Sep 2024 17:51:12 +0200

libxmp (4.6.0-3) unstable; urgency=medium

  * Stop recommending unmo3, it’s no longer available in Debian.
    Closes: #1079112.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 21 Aug 2024 13:24:30 +0200

libxmp (4.6.0-2) unstable; urgency=medium

  * Take multiarch into account in cmake configuration files.
    Closes: #1041151.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Jul 2023 10:36:20 +0200

libxmp (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 14:47:56 +0200
