=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13)
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
@@ -14,7 +14,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: unmo3
 Description: module file rendering library
  libxmp is a library designed to interpret module files and produce
  PCM audio. It supports over 90 formats including Protracker (MOD),
